Bug 431397 - headers break compilation of users using gcc-4.3
Summary: headers break compilation of users using gcc-4.3
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: parted   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-02-04 06:03 UTC by Bill Nottingham
Modified: 2014-03-17 03:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-05 22:43:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bill Nottingham 2008-02-04 06:03:52 UTC
Description of problem:

parted headers contain, in natmath.h:

extern inline PedSector
ped_div_round_up (PedSector numerator, PedSector divisor);

extern inline PedSector
ped_div_round_to_nearest (PedSector numerator, PedSector divisor);

This leads to warnings, (or errors with -Werror) of the form:

/usr/include/parted/natmath.h:93: error: inline function
‘ped_div_round_to_nearest’ declared but never defined
/usr/include/parted/natmath.h:90: error: inline function ‘ped_div_round_up’
declared but never defined

Version-Release number of selected component (if applicable):

1.8.8-2.fc9

Comment 1 David Cantrell 2008-02-05 22:43:20 UTC
Yuck.  Well, the source needing some more work to get it compiling with gcc-4.3.
 Fixed in parted-1.8.8-3.fc9.


Note You need to log in before you can comment on or make changes to this bug.